/*

  network.h - function prototypes for network.c

 */


int do_bind(struct sockaddr_in *, int *);
int read_data(int, int, struct sockaddr_in *, char *, int);
int wait_udp(int, int);
int server(int);
int send_file(int fd, struct sockaddr_in *cli_sa);
int assemble_packet(short *opcode, short *block, char *buff, int len,
		    char *packet);
int udp_send(int sock, struct sockaddr_in *dest_sa,
	     char *buff, int len);
int verify_ack(short block, char *buff, int len, struct sockaddr_in *read_sa,
	       struct sockaddr_in *expected_sa);
int send_error(short tftperr, char *mesg, struct sockaddr_in *dest_sa,
	       int sock);
int send_ack(short block, struct sockaddr_in *dest_sa, int sock);
int receive_file(int fd, struct sockaddr_in *cli_sa, int mode);
